<template>
	<view class="content">
		<view class="zdyNav" v-if="info">
		  <view class="status_bar" :style="{height: iStatusBarHeight + 'px'}"></view>
		  <view class="nav">
			  <view class="backBoxBox">
				  <view class="backBox">
					  <image src="../../static/img/icon_return_white@2x.png" mode="" class="baiheiback" @click="back"></image>
					  <view class="shuxian"></view>
					  <image src="../../static/img/icon_home_white@2x.png" mode="" class="homeImg" @click="goHome" ></image>
				  </view>
			  </view>
			 
			  <view >报告详情</view>
			  <view style="width:157rpx;"></view>
		  </view>
		  <view class="topCont" v-if="info.state==1" > 
			  <image src="../../static/img/report_icon_daitijiao@2x.png" mode="" class="topContImg"></image>
			  <view class="topContTxt">待提交</view>
		  </view>
		  <view class="topCont" v-if="info.state==2">
			  <image src="../../static/img/report_icon_daizuoye@2x.png" mode="" class="topContImg2"></image>
			  <view class="topContTxt">待作业</view>
		  </view>
		  <view class="topCont" v-if="info.state==3&&loginType==2">
			  <image src="../../static/img/report_icon_dianping@2x.png" mode="" class="topContImg3"></image>
			  <view class="topContTxt">待运营经理点评</view>
		  </view>
		  <view class="topCont" v-if="info.state==3&&loginType==1">
		  			  <image src="../../static/img/report_icon_dianping@2x.png" mode="" class="topContImg3"></image>
		  			  <view class="topContTxt">待点评</view>
		  </view>
		  <view class="topCont" v-if="info.state==4">
			  <image src="../../static/img/report_icon_daihuifu@2x.png" mode="" class="topContImg4"></image>
			  <view class="topContTxt">待店长回复</view>
		  </view>
		  <view class="topCont" v-if="info.state==5">
			  <image src="../../static/img/report_icon_yiwancheng@2x.png" mode="" class="topContImg5"></image>
			  <view class="topContTxt">已完成</view>
		  </view>
		</view>
		
		<view class="status_bar" :style="{height: iStatusBarHeight + 'px'}"></view>
		<view style="height: 44px;"></view>
		<view class="main" v-if="info">
			<!-- 访问人 -->
			<view class="submitOpBox">
				<view class="submitOpBoxLeft">
					<view class="submitOpBoxLeftline">访问人：{{info.managerName}}</view>
					<view class="submitOpBoxLeftline" style="padding-top: 28rpx;">访问时间：{{info.checkTime.slice(0,info.checkTime.length-8)}}</view>
				</view>
				<view class="shopScore" v-if="info.shopScore">{{info.shopScore}}分</view>
			</view>
			<!-- 门店 -->
			<view class="shopBox">
				<view class="shopTop">
					<view class="shopName">{{info.shopInfo.shopName}}</view>
					<view class="shopTopImgBox">
						<image src="../../static/img/icon_daohang_def@2x.png" mode="" class="shopTopimg" @click="goaddress"></image>
						<image src="../../static/img/icon_phone_def@2x.png" mode="" class="shopTopimg" @click="call"></image>
					</view>
				</view>
				<view class="shopCont">
					<view class="shopLevel" v-if="info.shopInfo.shopLevel">{{info.shopInfo.shopLevel}}</view>
					<view class="openingTime" v-if="info.shopInfo.openingTime">·{{info.shopInfo.openingTime}}</view>
					<view class="openingTime">联系人：{{info.shopInfo.contactor}} {{info.shopInfo.contactorPhone}}</view>
				</view>
				<view class="address" v-if="info.shopInfo.address">
					<view style="padding-right: 30rpx;">{{info.shopInfo.address}}</view>
				    <view v-if="info.shopInfo.distance">{{info.shopInfo.distance}}km</view>
				</view>
			</view>
			
			<!-- tab -->
			<view class="tabBox">
				<view class="tabLine" :class="{tabActive:tabIndex==1}" @click="tabClick(1)">检测情况</view>
				<view class="tabLine" :class="{tabActive:tabIndex==2}" @click="tabClick(2)">行动建议</view>
				<view class="tabLine" v-if="info.state==4||info.state==5" :class="{tabActive:tabIndex==3}" @click="tabClick(3)">点评</view>
			</view>
			<!-- 检测情况 -->
			<view class="categoryList" v-if="tabIndex==1">
				<view class="categoryListLine" v-for="(item,index) in info.categoryList" :key="item.id">
					<view class="categoryName">{{item.categoryName}}</view>
					<view class="sectionList" v-for="(list,index2) in item.sectionList" :key="list.id">
						<view class="checkName">{{list.checkName}}</view>
						<view class="itemList" v-for="(v,index3) in list.itemList" :key="v.id" >
							<view class="itemTOp">
								<view class="itemName">{{v.itemName}}</view>
								<view class="itemSorce" v-if="v.keyType==4&&v.itemValue" >{{v.itemValue}}分</view>
								<view class="itemSorce" v-if="v.keyType==4&&!v.itemValue" >暂无得分</view>
							</view>
							<view class="itemdescribe" v-if="v.describe">{{v.describe}}</view>
							<view class="ckImemBox" v-if="v.keyType==1&&v.itemValue">
								<view class="ckItemLIne" v-for="(ckv,i) in v.itemValue.split(',')" >
									{{ckv}}
								</view>
							</view>
							<view class="itemTxt" v-if="v.keyType==2">
								{{v.itemValue}}
							</view>
							<view class="itemImgBox" v-if="v.keyType==3">
								<view  v-for="(itemiMg,i) in v.itemValue" :key="itemiMg">
									<image :src="itemiMg" @click="previewImage(itemiMg,v.itemValue)" mode="" class="itemIMg"></image>
								</view>
								
							</view>
						</view>
					</view>
				</view>
				
			</view>
			<!-- 行动建议 -->
			<view class="suggestList" v-if="tabIndex==2">
				<view class="suggestLine" v-for="(item,index) in info.suggestList">
					<view class="suggestLineTop">建议({{index+1}})</view>
					<view class="suggestCont">{{item.suggest}}</view>
					<view class="suggestLineBottom" style="padding-bottom: 20rpx;border-bottom: 1px solid #EEEEEE;">
						<view class="suggestLineBottomTxt">预计完成日期:{{item.orderFinishTime.slice(0,item.orderFinishTime.length-8)}}</view>
						<view class="suggestLineBottomTxt">负责人:{{item.managerName}}</view>
					</view>
					<image src="../../static/img/report_weixiugai@2x.png" mode="" class="exeStateImg" v-if="item.exeState==0&&info.state!=1"></image>
					<image src="../../static/img/_report_yixiugai@2x.png" mode="" class="exeStateImg" v-if="item.exeState==1&&info.state!=1"></image>
				    <!-- 作业情况-->
					<view v-if="item.exeState==1">
						<view class="remarksLineTxt1" style="color: #666666;">
							作业情况
						</view>
						<view class="suggestCont" v-if="item.exeContent" style="padding-top: 0;padding-bottom: 0;">{{item.exeContent}}</view>
						<view class="workqkImgBox">
							<image class="workqkImg"  @click="previewImage(img,item.exeImg)" v-for="(img,imgIndex) in item.exeImg" :src="img"></image>
						</view> 
						<view class="suggestLineBottom">
							<view class="suggestLineBottomTxt">实际完成日期:{{item.exeTime.slice(0,item.exeTime.length-8)}}</view>
						</view>
					</view>
				</view>
				
				
				<nodata v-if="info.suggestList.length==0"></nodata>
			</view>
			<!-- 点评 -->
			<view class="remarksBox" v-if="tabIndex==3">
				<view class="remarksLine">
					<view class="remarksLineTop">
						<view class="remarksLineTopTitle">对门店行动完成情况打分</view>
						<view class="remarksLineTopXxbox">
							<uni-rate :max="5" v-model="info.shopEvaStar" :size="16" :readonly="true"/>
						</view>
					</view>
					<view class="remarksLineTxt1">
						补充说明
					</view>
					<view class="remarksLineTxt2" v-if="info.shopEvaContent">{{info.shopEvaContent}}</view>
					<view class="timeBox">
						<view>{{info.shopEvaTime}}</view>
						<view v-if="info.shopEvaOpName">{{info.shopEvaOpName}}</view>
					</view>
					<!-- 店主回复 -->
					<view class="shopEvaReplyBox" v-if="info.shopEvaReplyContent">
						<view class="shopEvaReplyContent">{{info.shopEvaReplyContent}}</view>
						<view class="shopEvaReplyTime">{{info.shopEvaReplyTime}}</view>
					</view>
				</view>
				
				<view class="remarksLine" v-if="lookShow&&info.userEvaContent">
					<view class="remarksLineTop">
						<view class="remarksLineTopTitle">对运营经理的服务评价</view>
						<view class="remarksLineTopXxbox">
							<uni-rate :max="5" v-model="info.userEvaStar" :size="16" :readonly="true"/>
						</view>
					</view>
					<view class="remarksLineTxt1">
						其他建议
					</view>
					<view class="remarksLineTxt2">{{info.userEvaContent}}</view>
					<view class="timeBox">
						<view v-if="info.userEvaTime">{{info.userEvaTime}}</view>
						<view v-if="info.userEvaOpName">{{info.userEvaOpName}}</view>
					</view>
				</view>
				
			</view>
		</view>
	   <view style="height: 150rpx;"></view>
	   <view class="bottom"  v-if="info.state==1&&loginType==1">
		    <view class="delBtn" @click="delBg">删除</view>
		    <view class="editBtn" @click="editBg">编辑</view>
			<view class="Submit" @click="submitBg">提交</view>
	   </view>
	   <view class="bottom"  v-if="info.state==2&&loginType==1">
		   <button open-type="share">
			   <view class="shoreDz" @click="shareDz">发送给店长</view>
		   </button>
	   </view>
	   <view class="bottom"  v-if="info.state==3&&loginType==1" @click="goremarks">
	   		<view class="shoreDz">点评</view>
	   </view>
	   <!-- 店主-->
	   <view class="bottom"  v-if="info.state==2&&loginType==2">
	   		<view class="shoreDz" @click="editWork">修改作业</view>
	   </view>
	   <view class="bottom"  v-if="info.state==4&&loginType==2&&info.userEvaState!=0">
	   		<view class="shoreDz" @click="goReply">回复</view>
	   </view>
	   <view class="bottom" v-if="info.state==4&&loginType==2&&info.userEvaState==0">
		      <view class="editBtn" style="width: 300rpx;" @click="goremarks2">点评</view>
	   		  <view class="Submit" style="width: 300rpx;" @click="goReply">回复</view>
	   		 
	   </view>
	   <view class="bottom"  v-if="info.state==3&&loginType==2" @click="goremarks2">
	   		<view class="shoreDz">点评</view>
	   </view>
	  <view class="bottom" v-if="info.state==5&&loginType==2&&info.userEvaState==0" @click="goremarks2">
			  <view class="shoreDz">点评</view>
	   </view> 
	</view>
</template>

<script>
	import nodata from '@/components/nodata/nodata.vue'	
	export default {
		components: {
			   nodata
		},
		data() {
			return {
				 iStatusBarHeight:'',
				 id:'',
				 info:'',
				 tabIndex:1,
				 lat:'',
				 lng:'',
				 loginType:'',
				 type:1,
				 userInfoId:'',
				 mEvaluateLook:'',
				 lookShow:true,
				 backType:'',
			}
		},
		onLoad(opt) {
			if(uni.getStorageSync("logInData").userInfo){
				this.userInfoId=uni.getStorageSync("logInData").userInfo.id;
				this.mEvaluateLook=uni.getStorageSync("logInData").mEvaluateLook;
			}
          
		    var that=this;
			this.loginType=uni.getStorageSync("logInData").type;
			console.log('this.loginType=='+this.loginType)
		    this.iStatusBarHeight = uni.getSystemInfoSync().statusBarHeight;
			this.id=opt.id;
			if(opt.type){
			  this.backType=opt.type
			}
		
			//this.getSuperCheckSheetInfo();
			uni.getLocation({
				success(res) {
					that.lng = res.longitude
					that.lat = res.latitude
					that.getSuperCheckSheetInfo()
				},
				fail() {
				
				}
			})
			//#ifdef H5
			
			that.lng='117.06533'
			that.lat='36.68013'
			that.getSuperCheckSheetInfo()
			 // #endif
		},
		onShow() {
			if(this.id&&this.lat){
				console.log(this.id)
			    this.getSuperCheckSheetInfo()
			}
		},
		methods: {
			
			previewImage(img,arrstring){
				var arr=[];
				//arr.push(img)
				console.log(img)
				//return false;
				arr=arrstring//.split(',')
				// 预览图片
				uni.previewImage({
					urls: arr,
					current:img,
					longPressActions: {
						itemList: ['发送给朋友', '保存图片', '收藏'],
						success: function(data) {
							console.log('选中了第' + (data.tapIndex + 1) + '个按钮,第' + (data.index + 1) + '张图片');
						},
						fail: function(err) {
							console.log(err.errMsg);
						}
					}
				});
			},
			back(){
				if(this.backType==4){
					uni.navigateTo({
						url:'../entryReport/entryReport'
					})
				}else{
					uni.navigateBack({
						delta:1
					})
				}
			},
			goremarks2(){
				uni.navigateTo({
					url:'../shop/shopIndex/reviewsContent?sheetID='+this.id
				})
			},
			editBg(){
				this.info.categoryList.forEach(item=>{
					item.sectionList.forEach(v=>{
						v.check=v.isCheck;
						v.itemList.forEach(i=>{
							if(i.keyType==1){
								
								i.keyValue=i.keyValue.replace(/，/ig,',')
								var array= i.keyValue.split(",")
								var array2=i.itemValue.split(",")
								var arr=[];
								console.log(array2)
								array.forEach(name=>{
									var index = array2.indexOf(name);
									console.log(index)
									if(index!=-1){
										var obj={
											name:name,
											check:true
										}
									}else{
										var obj={
											name:name,
											check:false
										}
									}
									
									arr.push(obj)
								})
								i.array=arr
							}else if(i.keyType==4){
							   var arr=[];
								for(var j=0;j<Number(i.keyValue) +1;j++){
									  arr.push(j)
								}
							   i.array=arr.reverse();
							   i.storeIndex=null;
							
							}else if(i.keyType==3){
								i.imgArr=i.itemValue//。split(",")
							}
						})
					})
				})
				//console.log(this.info.categoryList)
			   this.$store.commit('mutationsCategoryList',this.info.categoryList);
				this.$store.commit('mutationssuggestList',this.info.suggestList)
				uni.navigateTo({
					url:'../entryReport/entered?type=3&sheetID='+this.id+'&shopId='+this.info.shopID+'&ShopName='+this.info.shopName
				}) 
			},
			goaddress(){
				var that=this;
				if(that.info.shopInfo.lat==''||that.info.shopInfo.lng==''){
					uni.showToast({
					    title: '该门店未设置定位',
						 icon:'none',
					    duration: 2000,
					});
					return false;
				}
				uni.openLocation({
					
					latitude:Number(that.info.shopInfo.lat),
					longitude:Number(that.info.shopInfo.lng),
					name:that.info.shopInfo.shopName,
					address:that.info.shopInfo.address,
					success: function () {
						console.log('success');
					},
					fail(err) {
					  console.log(err)	
					}
				});
			},
			call(){
				var that=this;
				uni.makePhoneCall({
				    phoneNumber: that.info.shopInfo.contactorPhone
				}); 
			},
			goHome(){
				if(this.loginType==1){
					uni.navigateTo({
						url:'../index/index'
					})
				}else{
					uni.navigateTo({
						url:'../shop/shopIndex/index'
					})
				}
				
			},
			tabClick(num){
				this.tabIndex=num
			},
			goremarks(){
				uni.navigateTo({
					url:'../entryReport/remarks?id='+this.id
				})
			},
			goReply(){
				uni.navigateTo({
					url:'../shop/shopIndex/reply?id='+this.id+'&shopEvaContent='+this.info.shopEvaContent+'&shopEvaOpName='+this.info.shopEvaOpName+'&shopEvaTime='+this.info.shopEvaTime+'&shopEvaStar='+this.info.shopEvaStar
				})
			},
			getSuperCheckSheetInfo(){
				uni.showLoading({
					title: '加载中'
				})
				let url = 'accompany/SuperCheckSheet/querySuperCheckSheetInfo',
					params = {
						sheetID: this.id,
						lat:this.lat,
						lng:this.lng
					}
				this.$http(url, params, 'GET').then(res => {
					
					for (const key in res.data.shopInfo) {
						 res.data.shopInfo[key] = this.$praseStrEmpty(res.data.shopInfo[key])
					}
					
					
					
						if(res.data.categoryList.length>0){
							res.data.categoryList.forEach(item2=>{
								if(item2.sectionList.length>0){
									item2.sectionList.forEach(item3=>{
										if(item3.itemList.length>0){
											item3.itemList.forEach(item4=>{
												if(item4.keyType==3){
													if(item4.itemValue){
														item4.itemValue=item4.itemValue.split(',')
													}
													
												}
											})
										}
									})
								}
							})
						}
						
						if(res.data.suggestList.length>0){
							res.data.suggestList.forEach(item=>{
								if(item.exeImg){
									item.exeImg=item.exeImg.split(',')
								}
								
							})
						}
					
					this.info = res.data;
					if(this.userInfoId==res.data.managerID){
						if(this.mEvaluateLook==0){
							this.lookShow=false;
						}
					}
					
				})
			},
			editWork(){
				uni.navigateTo({
					url:'../shop/shopIndex/editWork?sheetID='+this.id
				})
			},
			delBg(){
				var that=this;
				 uni.showModal({
				     title: '提示',
				     content: '您确定要删除报告吗？',
				     success: function (res) {
				         if (res.confirm) {
				             uni.showLoading({ });
				             that.$http('accompany/SuperCheckSheet/deleteSuperCheckSheet', {
				             	sheetID:that.id,
				             	
	
				             }, 'POST').then(res => {
				                uni.showToast({
				                    title: '删除成功',
				                	 icon:'success',
				                    duration: 2000,
				                });
				                uni.navigateBack({
				                	delta:1
				                })
				             })
							 
				         } else if (res.cancel) {
				             console.log('用户点击取消');
				         }
				     }
				 }); 
			},
			submitBg(){
				if(this.info.suggestList.length==0){
					uni.showToast({
					    title: '请先编辑，填写行动建议',
						 icon:'none',
					    duration: 3000,
					});
					return false;
				}
				
				uni.showLoading({ });
				this.$http('accompany/SuperCheckSheet/submitSuperCheckSheet', {
					sheetID:this.id,
					
				}, 'POST').then(res => {
				  this.getSuperCheckSheetInfo();
				  uni.showToast({
				       title: '提交成功',
				  	   icon:'success',
				       duration: 3000,
				  }); 
				})
			},
			shareDz(){
				
			}
           
		},
		onShareAppMessage(res) {
		    console.log(res)
		    return {
		      title: '报告详情',
		      path: '/pages/reportManage/reportDetail?id='+this.id,
			  success(res){
				    uni.hideLoading();
					setTimeout(function(){
						uni.showToast({
						     title: '发送成功',
							 icon:'success',
						     duration: 3000,
						}); 
					},1000)
			             	
				console.log("c成功")
			   },
			   complete(res){
				   console.log(res)
			   }
		    }
		 }
	}
</script>

<style scoped>
	.content{
		 background: #F4F5F7;
		 min-height: 100vh;
		
	}
	
	.zdyNav{
		background: linear-gradient(132deg, #FF8635 0%, #FF4828 100%);
		position: fixed;
		left: 0;
		top: 0;
		width: 100vw;
		z-index: 11;
	}
	.baiheiback{
		width: 18rpx;
		height: 34rpx;
		padding-top: 12rpx;
		padding-left: 32rpx;
	}
	.homeImg{
		width: 40rpx;
		height: 34rpx;
		padding-top: 12rpx;
		padding-right: 20rpx;
	}
	.backBox{
		display: flex;
		width: 157rpx;
		height: 58rpx;
		border-radius: 30rpx;
		border: 1px solid #EEEEEE;
		justify-content: space-between;
	}
	.shuxian{
		width: 2rpx;
		height: 32rpx;
		background: #E4E5E6;
		margin-top: 14rpx;
	}
	.nav{
		display: flex;
		justify-content: space-between;
		line-height: 44px;
		font-size: 36rpx;
		color: #FFFFFF;
	}
	.backBoxBox{
		display: flex;
		align-items: center;
		padding-left: 24rpx;
	}
	.topContImg{
		width: 38rpx;
		height: 46rpx;
	}
	.topContImg2{
		width: 42rpx;
		height: 44rpx;
	
	}
	.topContImg3{
		width: 38rpx;
		height: 44rpx;
	}
	.topContImg4{
		width: 44rpx;
		height: 38rpx;
		margin-top: 4rpx;
	}
	.topContImg5{
		width: 44rpx;
		height: 46rpx;
	}
	.topContTxt{
		font-size: 36rpx;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 46rpx;
		margin-left: 20rpx;
	}
	.topCont{
		display: flex;
		justify-content: center;
		padding: 32rpx;
	}
	.main{
		padding-top:110rpx ;
		padding-left: 24rpx;
		padding-right: 24rpx;
	}
	.submitOpBox{
		background: #FFFFFF;
		margin-top: 20rpx;
		padding: 30rpx 20rpx;
		border-radius: 10rpx;
		display: flex;
		justify-content: space-between;
	}
	.submitOpBoxLeftline{
		font-size: 26rpx;
		color: #3C3C3C;
	}
	.shopScore{
		color: #FF4F00;
		font-size: 36rpx;
		padding-top: 20rpx;
	}
	.shopBox{
		background: #FFFFFF;
		margin-top: 20rpx;
		padding: 30rpx 20rpx;
		border-radius: 10rpx;
	}
	.shopTopimg{
		width: 48rpx;
		height: 48rpx;
		margin-left: 40rpx;
	}
	.shopTop{
		display: flex;justify-content: space-between;
	}
	.shopName{
		font-size: 30rpx;
		color: #3C3C3C;
	}
	.shopCont{
	 display: flex;
	 font-size: 26rpx;
	}
	.shopLevel{
		color: #B98B5D;
		padding-right: 15rpx;
	}
	.openingTime{
		padding-right: 15rpx;
	}
	.address{
		font-size: 26rpx;
		color: #999999;
		padding-top: 10rpx;
	}
	.tabBox{
		background: #FFFFFF;
		margin-top: 20rpx;
		padding: 30rpx 20rpx 0 20rpx;
		border-radius: 10rpx;
		display: flex;
		justify-content: space-around;
	}
	.tabLine{
		padding-bottom: 26rpx;
	}
	.tabActive{
		color: #FF4F00;
		border-bottom: 4rpx solid #FF4F00;
	}
	.categoryName{
		padding: 20rpx 0;
		font-size: 26rpx;
		color: #999999;
	}
	.sectionList{
		background: #FFFFFF;
		border-radius: 10rpx;
		margin-bottom: 20rpx;
	}
	.checkName{
		padding: 30rpx 20rpx;
		border-bottom: 1px solid #EEEEEE;
		font-size: 30rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #3C3C3C;
	}
	.itemTOp{
		display: flex;
		justify-content: space-between;
	}
	.itemList{
		padding: 30rpx 20rpx;
		border-bottom: 1px solid #EEEEEE;
	}
	.itemName{
		font-size: 28rpx;
		color: #444444;
	}
	.itemSorce{
		font-size: 30rpx;
		color: #FF4F00;
	}
	.itemdescribe{
		font-size: 26rpx;
		color: #999999;
	}
	.bottom{
		width: 750rpx;
		height: 120rpx;
		background: #FFFFFF;
		box-shadow: 0px -4px 8px 0px rgba(153,153,153,0.08);
		position: fixed;
		left: 0;
		bottom: 0;
		display: flex;
		justify-content: space-around;
	}
	.delBtn{
		width: 220rpx;
		height: 74rpx;
		background: #F4F5F7;
		border-radius: 37rpx;
		text-align: center;
		line-height: 74rpx;
		color: #3C3C3C;
		font-size: 30rpx;
		margin-top: 24rpx;
	}
	.editBtn{
		width: 220rpx;
		height: 74rpx;
		background: linear-gradient(129deg, #FFDC5C 0%, #FFB62F 100%);
		border-radius: 37rpx;
		text-align: center;
		line-height: 74rpx;
		color: #FFFFFF;
		font-size: 30rpx;
		margin-top: 24rpx;
	}
	.Submit{
		width: 220rpx;
		height: 74rpx;
		background: linear-gradient(124deg, #FF8700 0%, #FF4F00 100%);
		border-radius: 37rpx;
		text-align: center;
		line-height: 74rpx;
		color: #FFFFFF;
		font-size: 30rpx;
		margin-top: 24rpx;
	}
	.ckItemLIne{
		border: 1px solid #B98B5D;
		border-radius: 4rpx;
		padding: 2rpx 10rpx;
		margin-right: 20rpx;
	}
	.ckImemBox{
		display: flex;
		flex-wrap: wrap;
		padding-top: 20rpx;
		font-size: 24rpx;
		color: #B98B5D;
	}
	.itemTxt{
		font-size: 26rpx;
		padding-top: 10rpx;
		color: #666666;
	}
	.itemIMg{
		width: 150rpx;
		height: 150rpx;
		margin-right: 15rpx;
		border-radius: 5rpx;
		margin-top: 10rpx;
	}
	.itemImgBox{
		display: flex;
		flex-wrap: wrap;
	}
	.suggestLine{
		background: #FFFFFF;
		border-radius: 10rpx;
		margin-top: 20rpx;
		position: relative;
	}
	.suggestLineTop{
		height: 76rpx;
		background: linear-gradient(270deg, rgba(255, 255, 255, 0.1) 0%, #FFE2D5 100%);
		line-height: 76rpx;
		color: #3C3C3C;
		font-size: 28rpx;
		padding-left: 20rpx;
	}
	.suggestCont{
		color: #3C3C3C;
		font-size: 28rpx;
		line-height: 40rpx;
		padding: 30rpx 20rpx 20rpx 20rpx;
	}
	.suggestLineBottom{
		display: flex;
		justify-content: space-between;
		color: #999999;
		font-size: 26rpx;
		padding: 0 20rpx 30rpx 20rpx;
	}
	.address{
		display: flex;
		justify-content: space-between;
	}
	.exeStateImg{
		width: 116rpx;
		height: 96rpx;
		position: absolute;
		top: 0;
		right: 0;
		z-index: 11;
	}
	.shoreDz{
		width: 702rpx;
		height: 74rpx;
		background: linear-gradient(124deg, #FF8700 0%, #FF4F00 100%);
		border-radius: 37rpx;
		text-align: center;
		line-height: 74rpx;
		color: #FFFFFF;
        font-size: 30rpx;
		margin-top: 24rpx;
	}
	.remarksLine{
		background: #FFFFFF;
		margin-top: 20rpx;
		padding-bottom: 10rpx;
	}
	.remarksLineTop{
		display: flex;
		justify-content: space-between;
		padding: 30rpx 20rpx;
		font-size: 30rpx;
		color: #3C3C3C;
		border-bottom: 1px solid #EEEEEE;
	}
	.remarksLineTxt1{
		font-size: 28rpx;
		color: #444444;
		padding: 20rpx 20rpx;
	}
	.remarksLineTxt2{
		font-size: 26rpx;
		padding: 0rpx 20rpx 20rpx 20rpx;
		color: #666666;
	}
	.timeBox{
	  display: flex;
	  justify-content: space-between;
	  font-size: 26rpx;
	 padding:0rpx 20rpx 20rpx 20rpx;
	  color: #999999;
	}
	.shopEvaReplyBox{
		background: #F4F5F7;
		border-radius: 10px;
		font-size: 26rpx;
		margin: 20rpx;
		padding: 10rpx;
	}
	.shopEvaReplyContent{
		color: #666666;
		line-height: 40rpx;

	}
	.shopEvaReplyTime{
		color: #999999;
		
	}
	.workqkImgBox{
		display: flex;
		flex-wrap: wrap;
		padding-left: 10rpx;
	}
	.workqkImg{
		width: 150rpx;
		height: 150rpx;
		margin: 10rpx;
		border-radius: 5rpx;
	}
	.remarksLineTopXxbox{
		padding-top: 5rpx;
	}
</style>
